local difficulty = Global.game_settings and Global.game_settings.difficulty or "normal"
local difficulty_index = tweak_data:difficulty_to_index(difficulty)
-- 1 = easy
-- 2 = normal
-- 3 = hard
-- 4 = overkill
-- 5 = overkill_145
-- 6 = easy_wish
-- 7 = overkill_290
-- 8 = sm_wish


local movement_speed = {
		stand = {
			walk = {
				ntl = {
					fwd = 437.5,
					strafe = 437.5,
					bwd = 437.5
				},
				hos = {
					fwd = 437.5,
					strafe = 437.5,
					bwd = 437.5
				},
				cbt = {
					fwd = 437.5,
					strafe = 437.5,
					bwd = 437.5
				}
			},
			run = {
				hos = {
					fwd = 718.75,
					strafe = 718.75, --I am speed
					bwd = 718.75
				},
				cbt = {
					fwd = 718.75,
					strafe = 718.75,
					bwd = 718.75
				}
			}
		},
		crouch = {
			walk = {
				hos = {
					fwd = 437.5,
					strafe = 437.5,
					bwd = 437.5
				},
				cbt = {
					fwd = 437.5,
					strafe = 437.5,
					bwd = 437.5
				}
			},
			run = {
				hos = {
					fwd = 437.5,
					strafe = 437.5, --I am still speed
					bwd = 437.5
				},
				cbt = {
					fwd = 437.5,
					strafe = 437.5,
					bwd = 437.5
				}
			}
		}
	}
	
	local minigun_dozer = {
		stand = {
			walk = {
				ntl = {
					fwd = 60,
					strafe = 72,
					bwd = 56
				},
				hos = {
					fwd = 60,
					strafe = 72,
					bwd = 56
				},
				cbt = {
					fwd = 60,
					strafe = 72,
					bwd = 56
				}
			},
			run = {
				hos = {
					fwd = 70,
					strafe = 72,
					bwd = 56
				},
				cbt = {
					fwd = 50,
					strafe = 72,
					bwd = 60
				}
			}
		},
		crouch = {
			walk = {
				hos = {
					fwd = 60,
					strafe = 72,
					bwd = 56
				},
				cbt = {
					fwd = 60,
					strafe = 72,
					bwd = 56
				}
			},
			run = {
				hos = {
					fwd = 50,
					strafe = 72,
					bwd = 56
				},
				cbt = {
					fwd = 50,
					strafe = 72,
					bwd = 56
				}
			}
		}
	}
	


for k, v in pairs(tweak_data.character) do
	if type(v) == "table" and v.access == "teamAI1" then
		v.focus_delay = 0
		v.aim_delay = { 0, 0 }
		v.no_run_start = true
		v.no_run_stop = true
		v.always_face_enemy = true
		v.crouch_move = false
		v.move_speed = minigun_dozer
		
		v.allowed_poses = {
            stand = true
        }		
				
		if difficulty_index < 4 then
			v.damage.HEALTH_INIT = 4800
		elseif difficulty_index < 6 then
			v.damage.HEALTH_INIT = 4800
		else
			v.damage.HEALTH_INIT = 4800
		end
		
		if difficulty == "normal" then
		   v.damage.REGENERATE_TIME = 2
		   v.damage.REGENERATE_TIME_AWAY = 2
		elseif difficulty == "hard" then
		   v.damage.REGENERATE_TIME = 2.5
		   v.damage.REGENERATE_TIME_AWAY = 3
		elseif difficulty == "overkill" then
		   v.damage.REGENERATE_TIME = 3
	       v.damage.REGENERATE_TIME_AWAY = 4.5
		elseif difficulty == "overkill_145" then
		   v.damage.REGENERATE_TIME = 5
		   v.damage.REGENERATE_TIME_AWAY = 7
		elseif difficulty == "easy_wish" then
		   v.damage.REGENERATE_TIME = 5
		   v.damage.REGENERATE_TIME_AWAY = 5	
		elseif difficulty == "overkill_290" then
		   v.damage.REGENERATE_TIME = 5
		   v.damage.REGENERATE_TIME_AWAY =  5
		elseif difficulty == "sm_wish" then
		   v.damage.REGENERATE_TIME = 6
		   v.damage.REGENERATE_TIME_AWAY = 7
        end		
		
		tweak_data.team_ai.stop_action.distance = 9000
    end
end